using System;
using System.ComponentModel;

namespace CLIP.eForm.Consent.Entity
{
    [Serializable]
    public class UserLoginDeptList
    {
        public UserLoginDeptList()
        {
            foreach (PropertyDescriptor property in TypeDescriptor.GetProperties(this))
            {
                if (property.DisplayName == "sortNo")
                {
                    property.SetValue(this, 0);
                }
                else
                {
                    property.SetValue(this, "");
                }
            }
        }
        public string dutplceInstCd { get; set; }
        public string dutplceInstNm { get; set; }
        public string dutplceCd { get; set; }
        public string deptHngNm { get; set; }
        //public string deptnm { get; set; }
        public string fromDd { get; set; }
        public int sortNo { get; set; }
        public string deptCd { get; set; }
        public string jobKindCd { get; set; }
        public string jobKindNm { get; set; }
        public string indexPage { get; set; }
        public string userId { get; set; }
        public string userName { get; set; }
        public string drKind { get; set; }
    }
}